Page MenuHomePhabricator

Consolidate table collapsing JavaScript
Closed, ResolvedPublic

Description

  • Consolidate the Android and iOS _JavaScript_ transforms for making elements such as the infobox collapsible into one shared file; most of this code appears to live in collapseTables.js
  • Version file independently of the apps
  • Add tests

Work is progressing here: https://github.com/wikimedia/applib

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 2:31 PM
Niedzielski updated the task description. (Show Details)Feb 21 2017, 6:53 PM

Change 339808 had a related patch set uploaded (by Niedzielski):
Hygiene: move collapseTables.getTableHeader to applib

https://gerrit.wikimedia.org/r/339808

Niedzielski updated the task description. (Show Details)Feb 25 2017, 4:21 AM
Niedzielski updated the task description. (Show Details)Feb 27 2017, 9:41 PM

@Niedzielski Oh, was your recommendation to have...

  • a single consolidation ticket per feature (i.e. "Consolidate table collapsing js") - these result in pr against applib
  • one ticket per platform for integration ("Integrate consolidated table collapsing into iOS app" and "Integrate consolidated table collapsing into Android app") - these result in pr against respective platform repo
Niedzielski updated the task description. (Show Details)Feb 27 2017, 11:46 PM

@Mhurd, that sounds good to me! I've updated this ticket to remove the platform integration piece since that's covered by children tickets.

@Niedzielski mind if i update the titles of all 3 to reference "table collapsing"?

( i think that's where i got confused on https://github.com/wikimedia/wikipedia-ios/pull/1210 - based on title i scoped it to just adding the reference to applib to the package.json )

That's fine with me. Either of the following make sense to me:

  • Fix preexisting JSHint breakage
  • Add applib
  • Integrate first applib function (getTableHeader)

OR

  • Fix preexisting JSHint breakage
  • Add applib and integrate first applib function (getTableHeader)

I chose the latter since the library has no functional effect if it's not used but it also makes a lot of sense to make a foundational PR first (I just wasn't thinking).

Mhurd renamed this task from Consolidate collapsible element JavaScript to Consolidate table collapsing JavaScript.Feb 28 2017, 12:28 AM

No worries! I updated the titles. (and my PR to match)

Change 339808 merged by jenkins-bot:
Hygiene: move collapseTables.getTableHeader to applib

https://gerrit.wikimedia.org/r/339808

Change 349371 had a related patch set uploaded (by Niedzielski; owner: Sniedzielski):
[mediawiki/extensions/MobileApp@master] Consolidate collapse table CSS

https://gerrit.wikimedia.org/r/349371

Change 349373 had a related patch set uploaded (by Niedzielski; owner: Sniedzielski):
[apps/android/wikipedia@master] Consolidate collapse table CSS and JavaScript

https://gerrit.wikimedia.org/r/349373

Change 349371 merged by jenkins-bot:
[mediawiki/extensions/MobileApp@master] Consolidate collapse table CSS

https://gerrit.wikimedia.org/r/349371

Change 349373 merged by jenkins-bot:
[apps/android/wikipedia@master] Consolidate collapse table CSS and JavaScript

https://gerrit.wikimedia.org/r/349373

Niedzielski closed this task as Resolved.May 26 2017, 3:53 PM